View Issue Details

IDProjectCategoryView StatusLast Update
0029802LazarusLCLpublic2016-03-11 21:01
ReporterGabor BorosAssigned ToJesus Reyes 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version1.6.1 (SVN)Product Build51817 
Target Version1.6.2Fixed in Version1.7 (SVN) 
Summary0029802: Click on DBGrid's empty area fire not needed events (OnCellClick, OnTitleClick)
DescriptionIf click on the empty area the OnCellClick or OnTitleClick event fired (depend from the click position).
Steps To ReproduceStart the attached example and click on the empty area in the DBGrid.
TagsNo tags attached.
Fixed in Revision51914, 51918
LazTarget1.6.2
Widgetset
Attached Files

Relationships

related to 0029813 closedJesus Reyes Error on enter data to dataset with DBGrid 

Activities

Gabor Boros

2016-03-09 16:26

reporter  

DBGrid_Click.tar.gz (1,909 bytes)

Jesus Reyes

2016-03-11 06:41

developer   ~0090874

Please test

Gabor Boros

2016-03-11 08:58

reporter   ~0090876

Works with the original example but got "Grid index out of range" error grids.pas at line 7518 on application start if modify the example to

  BDS.CreateDataset;

  BDS.AppendRecord([1]);
  BDS.AppendRecord([2]);
  BDS.AppendRecord([3]);
end;

Jesus Reyes

2016-03-11 17:26

developer   ~0090889

please test.

Gabor Boros

2016-03-11 21:01

reporter   ~0090903

Tested with trunk 51919.

Issue History

Date Modified Username Field Change
2016-03-09 16:26 Gabor Boros New Issue
2016-03-09 16:26 Gabor Boros File Added: DBGrid_Click.tar.gz
2016-03-10 19:16 Jesus Reyes Assigned To => Jesus Reyes
2016-03-10 19:16 Jesus Reyes Status new => assigned
2016-03-11 06:41 Jesus Reyes Fixed in Revision => 51914
2016-03-11 06:41 Jesus Reyes LazTarget => 1.6.2
2016-03-11 06:41 Jesus Reyes Note Added: 0090874
2016-03-11 06:41 Jesus Reyes Status assigned => resolved
2016-03-11 06:41 Jesus Reyes Fixed in Version => 1.7 (SVN)
2016-03-11 06:41 Jesus Reyes Resolution open => fixed
2016-03-11 06:41 Jesus Reyes Target Version => 1.6.2
2016-03-11 08:58 Gabor Boros Note Added: 0090876
2016-03-11 10:13 Gabor Boros Status resolved => assigned
2016-03-11 10:13 Gabor Boros Resolution fixed => reopened
2016-03-11 17:21 Jesus Reyes Relationship added related to 0029813
2016-03-11 17:26 Jesus Reyes Fixed in Revision 51914 => 51914, 51918
2016-03-11 17:26 Jesus Reyes Note Added: 0090889
2016-03-11 17:26 Jesus Reyes Status assigned => resolved
2016-03-11 17:26 Jesus Reyes Resolution reopened => fixed
2016-03-11 21:01 Gabor Boros Note Added: 0090903
2016-03-11 21:01 Gabor Boros Status resolved => closed